MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023883Community[OCCT] OCCT:Visualizationpublic2013-04-07 19:472013-04-29 15:24
Reporterheyuqi 
Assigned Tokgv 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.4.0 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023883: Bound color in the primitive array do not work when displayed using VBO
DescriptionAccording to the comment of Graphic3d_ArrayOfPrimitives::AddBound method, the bound color will be used when the <hasBColors> constructor parameter is TRUE.

Attaches please found my patch for this issue.

I'm not sure if it's necessary to use glColor3fv before calling glDrawArrays in OpenGl_PrimitiveArray::DrawEdges method.
Steps To ReproduceIn DRAW:
 1. pload ALL
 2. vinit
 3. vvbo 0
 4. vdrawparray pl01 polylines 0 v 0 0 0 v 0 10 0 v 0 10 10 v 0 0 0 b 4 c 1 0 0
 5. vclear
 6. vvbo 1
 7. vdrawparray pl01 polylines 0 v 0 0 0 v 0 10 0 v 0 10 10 v 0 0 0 b 4 c 1 0 0

The polylines should be visualized with red color in both cases.
TagsNo tags attached.
Test case numberbugs vis bug23883
Attached Filespatch file icon opencascade-6.5.4-parray-bound-color.patch (526 bytes) 2013-04-07 19:47

- Relationships

-  Notes
(0024068)
san (developer)
2013-04-10 12:06

Dear heyuqi,

Thanks for reporting this problem! I confirm it is reproduced also with the current OCCT GIT master, in case when VBO usage is on (without VBO the code works as expected).

However, it is strongly recommended that OCCT patches be based on the current OCCT GIT master rather than on some outdated revision.
(0024070)
kgv (developer)
2013-04-10 12:18

Patch is ready for review in CR23883 branch.
(0024071)
san (developer)
2013-04-10 12:27

Branch CR23883 reviewed without remarks, ready for testing.
(0024114)
apn (administrator)
2013-04-12 14:29

Dear BugMaster,

Branch CR23883 (and products from GIT master) was compiled on Linux and Windows platforms and tested without rebase.
SHA-1: 5447588d5af7334a5d0f00b131799fb11231d548

Number of compiler warnings:

occt component:
Linux: 2 (2 on master)
Windows: 11 (11 on master)

products component:
Linux: 0 (0 on master)
Windows: 50 (50 on master)

Regressions:
No regressions

Improvements:
No improvements

Test case:
bugs vis bug23883 - OK

Testing on Linux:
Total MEMORY difference: 244259740 / 244778948
Total CPU difference: 13587.820000000227 / 19943.769999999735

Testing on Windows:
Total MEMORY difference: 355697760 / 355759940
Total CPU difference: 16980.9375 / 20843.75

There are not serious differences in images found by testdiff.

- Related Changesets
occt: master 7cc2d520
Timestamp: 2013-04-12 12:36:20
Author: kgv
Details ] Diff ]
0023883: Bound color in the primitive array do not work when displayed using VBO
Added test case bugs vis bug23883
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
add - tests/bugs/vis/bug23883 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-04-07 19:47 heyuqi New Issue
2013-04-07 19:47 heyuqi Assigned To => san
2013-04-07 19:47 heyuqi File Added: opencascade-6.5.4-parray-bound-color.patch
2013-04-10 12:06 san Note Added: 0024068
2013-04-10 12:18 kgv Assigned To san => kgv
2013-04-10 12:18 kgv Status new => assigned
2013-04-10 12:18 kgv Target Version 6.5.4 => 6.6.0
2013-04-10 12:18 kgv Summary Bound color in the primitive array do not work. => Bound color in the primitive array do not work when displayed using VBO
2013-04-10 12:18 kgv Note Added: 0024070
2013-04-10 12:18 kgv Assigned To kgv => san
2013-04-10 12:18 kgv Status assigned => resolved
2013-04-10 12:21 san Assigned To san => kgv
2013-04-10 12:21 san Status resolved => assigned
2013-04-10 12:21 san Summary Bound color in the primitive array do not work when displayed using VBO => Bound color in the primitive array do not work.
2013-04-10 12:22 san Assigned To kgv => san
2013-04-10 12:22 san Status assigned => resolved
2013-04-10 12:23 san Summary Bound color in the primitive array do not work. => Bound color in the primitive array do not work when displayed using VBO
2013-04-10 12:27 san Note Added: 0024071
2013-04-10 12:27 san Assigned To san => bugmaster
2013-04-10 12:27 san Status resolved => reviewed
2013-04-10 12:31 kgv Steps to Reproduce Updated View Revisions
2013-04-10 12:40 kgv Product Version => 6.4.0
2013-04-11 14:22 apn Assigned To bugmaster => apn
2013-04-11 15:44 user533 Project Open CASCADE => Community
2013-04-12 13:36 apn Test case number => bugs vis bug23883
2013-04-12 14:29 apn Note Added: 0024114
2013-04-12 14:30 apn Assigned To apn => bugmaster
2013-04-12 14:30 apn Status reviewed => tested
2013-04-15 17:59 kgv Changeset attached => occt master 7cc2d520
2013-04-15 17:59 kgv Assigned To bugmaster => kgv
2013-04-15 17:59 kgv Status tested => verified
2013-04-15 17:59 kgv Resolution open => fixed
2013-04-23 13:35 user533 Status verified => closed
2013-04-29 15:24 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker